This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 984346 - BOOST_STATIC_ASSERT issues in boost 1.53 with GCC 4.8.1
BOOST_STATIC_ASSERT issues in boost 1.53 with GCC 4.8.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 22:32 EDT by Mukund Sivaraman
Modified: 2015-05-04 21:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: boost-1.53.0-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 21:02:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mukund Sivaraman 2013-07-14 22:32:57 EDT
Description of problem:

GCC 4.8.1 has a problem with BOOST_STATIC_ASSERT in Boost versions less than 1.54. This bug is fixed by Boost 1.54.

BIND 10 is a new feature in Fedora 19 and we use BOOST_STATIC_ASSERT in its codebase, and build with -Werror. It generates warnings like this:

----

ip_check_unittest.cc: In member function ‘std::vector<unsigned char> {anonymous}::GeneralAddress::convertUint32(uint32_t)’:
ip_check_unittest.cc:44:146: error: typedef ‘boost_static_assert_typedef_44’ locally defined but not used [-Werror=unused-local-typedefs]
         BOOST_STATIC_ASSERT(sizeof(uint32_t) == IPV4_SIZE);
                                                                                                                                                  ^
cc1plus: all warnings being treated as errors

----


See: https://bind10.isc.org/ticket/3039
See: https://svn.boost.org/trac/boost/ticket/7242


Version-Release number of selected component (if applicable):

boost-1.53.0-7.fc19.x86_64


How reproducible:

Always



Steps to Reproduce:

See description of: https://svn.boost.org/trac/boost/ticket/7242

Or compile BIND 10 master branch: https://bind10.isc.org/



Actual results:

Generates warning which causes compile failure with -Werror.


Expected results:

No warnings.



ACTION: Please upgrade Boost in Fedora 19 to version 1.54.
Comment 1 Petr Machata 2013-07-18 20:19:26 EDT
I identified several of these issues.  The one you mention is fixed in 1.54, but there are others (upstream tickets 8844, 8847, 8859).  Rebase to 1.54 is absolutely out of the question, but I will backport the relevant patches.
Comment 2 Petr Machata 2013-07-21 11:29:01 EDT
More related tickets: 8853, 8854, 8855, 8856.
Comment 3 Petr Machata 2013-07-22 11:14:26 EDT
More related tickets: 8870, 8871, 8872.
Comment 4 Petr Machata 2013-07-22 11:49:26 EDT
I've now committed my work in progress, which covers the above bugs.  I'll spin a test build and possibly push the actual thing later today.
Comment 5 Petr Machata 2013-07-22 20:12:24 EDT
More related tickets: 8876, 8877, 8878, 8879, 8880, 8881.
I committed this work in progress, and am spinning another test build.  Hopefully I'll be able to finalize this tomorrow.
Comment 6 Fedora Update System 2013-07-23 13:09:19 EDT
boost-1.53.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/boost-1.53.0-8.fc19
Comment 7 Fedora Update System 2013-07-23 23:39:49 EDT
Package boost-1.53.0-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boost-1.53.0-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13501/boost-1.53.0-8.fc19
then log in and leave karma (feedback).
Comment 8 Mukund Sivaraman 2013-07-25 02:09:58 EDT
I confirm that this update package fixes my problem (in comment #0). Thank you for making a fix available quickly.
Comment 9 Fedora Update System 2013-07-27 21:02:57 EDT
boost-1.53.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.